Package htsjdk.variant.vcf

# Enum Class VCFCompoundHeaderLine.SupportedHeaderLineType

java.lang.Object
java.lang.Enum<VCFCompoundHeaderLine.SupportedHeaderLineType>
htsjdk.variant.vcf.VCFCompoundHeaderLine.SupportedHeaderLineType

All Implemented Interfaces:
  `Serializable`, `Comparable<VCFCompoundHeaderLine.SupportedHeaderLineType>`, `Constable`

Enclosing class:
  `VCFCompoundHeaderLine`

public static enum VCFCompoundHeaderLine.SupportedHeaderLineType extends Enum<VCFCompoundHeaderLine.SupportedHeaderLineType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FORMAT`
`INFO`

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`allowFlagValues`

## Method Summary

Modifier and Type
Method
Description
`static VCFCompoundHeaderLine.SupportedHeaderLineType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VCFCompoundHeaderLine.SupportedHeaderLineType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INFO

public static final VCFCompoundHeaderLine.SupportedHeaderLineType INFO

### FORMAT

public static final VCFCompoundHeaderLine.SupportedHeaderLineType FORMAT

## Field Details

### allowFlagValues

public final boolean allowFlagValues

## Method Details

### values

public static VCFCompoundHeaderLine.SupportedHeaderLineType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VCFCompoundHeaderLine.SupportedHeaderLineType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null